cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/private/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 4214,
"jsonrpc": "2.0",
"method": "private/cancel",
"params": {
"order_id": "ETH-SLIS-12"
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/private/cancel"
payload = {
"id": 4214,
"jsonrpc": "2.0",
"method": "private/cancel",
"params": { "order_id": "ETH-SLIS-12" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 4214,
jsonrpc: '2.0',
method: 'private/cancel',
params: {order_id: 'ETH-SLIS-12'}
})
};
fetch('https://drb.coinbase.com/api/v2/private/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 4214,
"jsonrpc": "2.0",
"result": {
"amount": 5,
"api": false,
"creation_timestamp": 1550575961291,
"direction": "sell",
"instrument_name": "ETH-PERPETUAL",
"is_liquidation": false,
"is_rebalance": false,
"label": "",
"last_update_timestamp": 1550575961291,
"max_show": 5,
"order_id": "ETH-SLIS-12",
"order_state": "untriggered",
"order_type": "stop_market",
"post_only": false,
"price": "market_price",
"reduce_only": false,
"time_in_force": "good_til_cancelled",
"trigger": "index_price",
"trigger_price": 144.73,
"triggered": false
}
}Trading
private/cancel
Cancels a specific order identified by its order ID. The order must be open (not yet filled or cancelled) to be cancelled successfully.
Once cancelled, the order is removed from the order book and cannot be restored. Any unfilled portion of the order will be cancelled.
GET
/
private
/
cancel
cURL
Authorizations
ApiKeyOAuth2
Call public/auth with grant_type: coinbase_cdp and a CDP JWT. Send the returned access_token as Authorization: Bearer.
Query Parameters
The order id Unique order identifier
Example:
"ETH-100234"
If true, routes the order cancellation to the isolated margin subaccount that owns the order. Omitting this flag searches only the main account and returns order_not_found or not_owner_of_order for isolated orders. Default - false
Was this page helpful?